unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls,LCLType,LCLIntf;

type

  { TTestKompo }

  TTestKompo = class(TCustomControl)
  private

  protected

  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure KeyDown(var Key: Word; Shift: TShiftState); override;
    procedure UTF8KeyPress(var UTF8Key: TUTF8Char); override;
    procedure Resize; override;
    procedure Paint; override;
  published

  end;

  { TForm1 }

  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    TestKompo:TTestKompo;
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TTestKompo }

constructor TTestKompo.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
end;

destructor TTestKompo.Destroy;
begin
  inherited Destroy;
end;

procedure TTestKompo.KeyDown(var Key: Word; Shift: TShiftState);
begin
  inherited KeyDown(Key, Shift);
  writeln(chr(key));
end;

procedure TTestKompo.UTF8KeyPress(var UTF8Key: TUTF8Char);
begin
  inherited UTF8KeyPress(UTF8Key);
end;

procedure TTestKompo.Resize;
begin
  inherited Resize;
end;

procedure TTestKompo.Paint;
begin
  inherited Paint;
  canvas.Brush.Color:=clBlack;
  canvas.FillRect(0,0,Width, Height);
  canvas.TextOut(50,50,'Bitte Tastedrücken....');
end;

{ TForm1 }

procedure TForm1.FormActivate(Sender: TObject);
begin
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  TestKompo:=TTestKompo.Create(Panel1);
  TestKompo.Align:=alClient;
  TestKompo.Parent:=Panel1;
  ActiveControl:=TestKompo;
end;

initialization
  {$I Unit1.lrs}

end.

